<html>
<head>
<title>Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1SubMesh.html">SubMesh</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">Ogre::SubMesh Member List</div>  </div>
</div><!--header-->
<div class="contents">
This is the complete list of members for <a class="el" href="classOgre_1_1SubMesh.html">Ogre::SubMesh</a>, including all inherited members.<table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SubMesh.html#acd127d162c4271ac6b844161e1ea777a">_compileBoneAssignments</a>(void)</td><td><a class="el" href="classOgre_1_1SubMesh.html">Ogre::SubMesh</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SubMesh.html#a4770787312a616e8735c5d1a864bb1cb">_getRenderOperation</a>(RenderOperation &amp;rend, ushort lodIndex=0)</td><td><a class="el" href="classOgre_1_1SubMesh.html">Ogre::SubMesh</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SubMesh.html#abdd303710ef1131801f5017ef2eda1f2">addBoneAssignment</a>(const VertexBoneAssignment &amp;vertBoneAssign)</td><td><a class="el" href="classOgre_1_1SubMesh.html">Ogre::SubMesh</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SubMesh.html#abe04d5342331ad434e47ca9b934a7622">addTextureAlias</a>(const String &amp;aliasName, const String &amp;textureName)</td><td><a class="el" href="classOgre_1_1SubMesh.html">Ogre::SubMesh</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SubMesh.html#a243e656daab531eea35d8b9fb5dc3b11">AliasTextureIterator</a> typedef</td><td><a class="el" href="classOgre_1_1SubMesh.html">Ogre::SubMesh</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a366445eb206e55a2199267b8b9089ebb">AllocatedObject</a>()</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td><code> [explicit]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SubMesh.html#ae6b4c1d0724fe6a9a961b73bd646d3cf">blendIndexToBoneIndexMap</a></td><td><a class="el" href="classOgre_1_1SubMesh.html">Ogre::SubMesh</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SubMesh.html#a9c23baff85d3b4f60e37f2a514be1ada">BoneAssignmentIterator</a> typedef</td><td><a class="el" href="classOgre_1_1SubMesh.html">Ogre::SubMesh</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SubMesh.html#a2c29dd4601e67d3f6d26d7d74c017995">clearBoneAssignments</a>(void)</td><td><a class="el" href="classOgre_1_1SubMesh.html">Ogre::SubMesh</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SubMesh.html#a3f918cb8640e541175589089ce096aef">extremityPoints</a></td><td><a class="el" href="classOgre_1_1SubMesh.html">Ogre::SubMesh</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SubMesh.html#af32a20ce7dd6ca470ce7e33e5dc7d7d9">generateExtremes</a>(size_t count)</td><td><a class="el" href="classOgre_1_1SubMesh.html">Ogre::SubMesh</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SubMesh.html#abafc1dfc5283643f0b5867392f512e3e">getAliasTextureIterator</a>(void) const </td><td><a class="el" href="classOgre_1_1SubMesh.html">Ogre::SubMesh</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SubMesh.html#ab37844a411ccea1cf06d1c95e10b71e2">getBoneAssignmentIterator</a>(void)</td><td><a class="el" href="classOgre_1_1SubMesh.html">Ogre::SubMesh</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SubMesh.html#a03901f7c72762aa3794af16b88c3e196">getBoneAssignments</a>()</td><td><a class="el" href="classOgre_1_1SubMesh.html">Ogre::SubMesh</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SubMesh.html#ae9cd0e5fef6d82aba5d5c0bcbcfc65a5">getMaterialName</a>(void) const </td><td><a class="el" href="classOgre_1_1SubMesh.html">Ogre::SubMesh</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SubMesh.html#ab80c14813793491559cf24c60f455fd4">getTextureAliasCount</a>(void) const </td><td><a class="el" href="classOgre_1_1SubMesh.html">Ogre::SubMesh</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SubMesh.html#a869de8ed370ae9ac77e7e600aa109514">getVertexAnimationIncludesNormals</a>() const </td><td><a class="el" href="classOgre_1_1SubMesh.html">Ogre::SubMesh</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SubMesh.html#a116ae10a9b88b55c44c0583589b15b72">getVertexAnimationType</a>(void) const </td><td><a class="el" href="classOgre_1_1SubMesh.html">Ogre::SubMesh</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SubMesh.html#a776598acc2a9c0d04d9019cd4137d905">hasTextureAliases</a>(void) const </td><td><a class="el" href="classOgre_1_1SubMesh.html">Ogre::SubMesh</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SubMesh.html#aad428fa6595c7fb01ef7543e5d8d6454">indexData</a></td><td><a class="el" href="classOgre_1_1SubMesh.html">Ogre::SubMesh</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SubMesh.html#a5318d83d57e4d1599fecb00506c82996">IndexMap</a> typedef</td><td><a class="el" href="classOgre_1_1SubMesh.html">Ogre::SubMesh</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SubMesh.html#a2c42d72d5ca9879b2528b7d40a13bf8d">isBuildEdgesEnabled</a>(void) const </td><td><a class="el" href="classOgre_1_1SubMesh.html">Ogre::SubMesh</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SubMesh.html#ae4d357805749a3193b821a1ff9bca7d1">isMatInitialised</a>(void) const </td><td><a class="el" href="classOgre_1_1SubMesh.html">Ogre::SubMesh</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SubMesh.html#a39b2b1b7c00817f3c7e724ef664fb1a2">LODFaceList</a> typedef</td><td><a class="el" href="classOgre_1_1SubMesh.html">Ogre::SubMesh</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SubMesh.html#a1e190c3084110b7fa74a208f9c1f29f1">mBoneAssignments</a></td><td><a class="el" href="classOgre_1_1SubMesh.html">Ogre::SubMesh</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SubMesh.html#a97ac0719e0d2a1cd4f0ed4ec48a72912">mBoneAssignmentsOutOfDate</a></td><td><a class="el" href="classOgre_1_1SubMesh.html">Ogre::SubMesh</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SubMesh.html#a6eeebb3445a88e6cc77e22f41322964e">mBuildEdgesEnabled</a></td><td><a class="el" href="classOgre_1_1SubMesh.html">Ogre::SubMesh</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SubMesh.html#aa41a130f156b145bffb3f4b5172c4c93">Mesh</a> class</td><td><a class="el" href="classOgre_1_1SubMesh.html">Ogre::SubMesh</a></td><td><code> [friend]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SubMesh.html#a48305c54a01e0c7a3376ea0a077c467f">MeshSerializerImpl</a> class</td><td><a class="el" href="classOgre_1_1SubMesh.html">Ogre::SubMesh</a></td><td><code> [friend]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SubMesh.html#aef9901d67ded13a151aa3d4fde3a7b17">MeshSerializerImpl_v1_1</a> class</td><td><a class="el" href="classOgre_1_1SubMesh.html">Ogre::SubMesh</a></td><td><code> [friend]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SubMesh.html#ae60e96165c5d5495195fa0d49f031372">MeshSerializerImpl_v1_2</a> class</td><td><a class="el" href="classOgre_1_1SubMesh.html">Ogre::SubMesh</a></td><td><code> [friend]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SubMesh.html#a821d2587eb2dc9746a2b1a5c0deada32">mLodFaceList</a></td><td><a class="el" href="classOgre_1_1SubMesh.html">Ogre::SubMesh</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SubMesh.html#ac9cc28e9a11b69a815fa9b3e52cd76f7">mMaterialName</a></td><td><a class="el" href="classOgre_1_1SubMesh.html">Ogre::SubMesh</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SubMesh.html#a25a7ea86e4beaadd868dacb760330e52">mMatInitialised</a></td><td><a class="el" href="classOgre_1_1SubMesh.html">Ogre::SubMesh</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SubMesh.html#ab1f26bc16b9c1ea567ffcc4548e6466a">mTextureAliases</a></td><td><a class="el" href="classOgre_1_1SubMesh.html">Ogre::SubMesh</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SubMesh.html#a0c6daf9febdc307b03e788c4bdbd786f">mVertexAnimationIncludesNormals</a></td><td><a class="el" href="classOgre_1_1SubMesh.html">Ogre::SubMesh</a></td><td><code> [mutable, protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SubMesh.html#a7b6ef63e9dd8945accbc942307c8fcea">mVertexAnimationType</a></td><td><a class="el" href="classOgre_1_1SubMesh.html">Ogre::SubMesh</a></td><td><code> [mutable, protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SubMesh.html#a10ed3ef8bb24a001bb89dc9e3cd88c31">operationType</a></td><td><a class="el" href="classOgre_1_1SubMesh.html">Ogre::SubMesh</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a8357fe4fb4849772b94baa4bf47c7ded">operator delete</a>(void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a1c727e879a260c37b00ce5505fe8e144">operator delete</a>(void *ptr, void *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#acb46d4b0a597156d9ba5abc39d127792">operator delete</a>(void *ptr, const char *, int, const char *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a93e6a86dde5483c053ca0f2a85bbfd6c">operator delete[]</a>(void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a595ea4c05da8aa987d3800e65d23355d">operator delete[]</a>(void *ptr, const char *, int, const char *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a421b197ca3a38da17e2eb1531a645fa2">operator new</a>(size_t sz, const char *file, int line, const char *func)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#ac4bdf968b7b9af8a5239a27da73d5711">operator new</a>(size_t sz)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#ab78a921e54419be677839cdf15d1f0b8">operator new</a>(size_t sz, void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a4be37baef81876985aa1071ad5acc6dd">operator new[]</a>(size_t sz, const char *file, int line, const char *func)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#afa2943846ba6a2b5824a12857139cf5e">operator new[]</a>(size_t sz)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SubMesh.html#ac2b9fd25eb56625716d9e8915f4e0e7d">parent</a></td><td><a class="el" href="classOgre_1_1SubMesh.html">Ogre::SubMesh</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SubMesh.html#a8446f2b030ecd536933c0a39cdb3d61a">removeAllTextureAliases</a>(void)</td><td><a class="el" href="classOgre_1_1SubMesh.html">Ogre::SubMesh</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SubMesh.html#a2cf7a582517c07f7330235d3029a2cf8">removeLodLevels</a>(void)</td><td><a class="el" href="classOgre_1_1SubMesh.html">Ogre::SubMesh</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SubMesh.html#a9007b549c95c6fb1402818bf55b65b16">removeTextureAlias</a>(const String &amp;aliasName)</td><td><a class="el" href="classOgre_1_1SubMesh.html">Ogre::SubMesh</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SubMesh.html#acc667dc8cf61d4fa25f005fd5cb9082a">setBuildEdgesEnabled</a>(bool b)</td><td><a class="el" href="classOgre_1_1SubMesh.html">Ogre::SubMesh</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SubMesh.html#a8ad6c0cae3c325cd8953ab66bd97e72d">setMaterialName</a>(const String &amp;matName, const String &amp;groupName=ResourceGroupManager::AUTODETECT_RESOURCE_GROUP_NAME)</td><td><a class="el" href="classOgre_1_1SubMesh.html">Ogre::SubMesh</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SubMesh.html#aa5e04097716119c5cfed229c8425fc60">SubMesh</a>()</td><td><a class="el" href="classOgre_1_1SubMesh.html">Ogre::SubMesh</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SubMesh.html#a2107e531c7161b312571d8977f9539e2">updateMaterialUsingTextureAliases</a>(void)</td><td><a class="el" href="classOgre_1_1SubMesh.html">Ogre::SubMesh</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SubMesh.html#a931e3764e3bf1c3ef7431fc852770fb1">useSharedVertices</a></td><td><a class="el" href="classOgre_1_1SubMesh.html">Ogre::SubMesh</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SubMesh.html#a8970e5c8b6f9fac51d54845e8417e7b2">VertexBoneAssignmentList</a> typedef</td><td><a class="el" href="classOgre_1_1SubMesh.html">Ogre::SubMesh</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SubMesh.html#a1862a3ec9a3f2ed4ade8af69b41a809d">vertexData</a></td><td><a class="el" href="classOgre_1_1SubMesh.html">Ogre::SubMesh</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a499773d35ca98b2df7c2699fc8c1bea2">~AllocatedObject</a>()</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SubMesh.html#ad0a51b024271c2042968e9e967dd39e8">~SubMesh</a>()</td><td><a class="el" href="classOgre_1_1SubMesh.html">Ogre::SubMesh</a></td><td></td></tr>
</table></div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:09
</p>
</body>
</html>
